summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCédric Krier <cedk@gentoo.org>2007-02-04 12:55:01 +0000
committerCédric Krier <cedk@gentoo.org>2007-02-04 12:55:01 +0000
commitec23e48d3f348bf1d6d17784377dfcd0ac82a6fd (patch)
treeef7576a2b44658c154b0667d45a8a9f96d7c35bc /net-p2p/mute/mute-0.5.ebuild
parentnet-im/pyicq-t: Version bump to 0.8 (diff)
downloadsunrise-ec23e48d3f348bf1d6d17784377dfcd0ac82a6fd.tar.gz
sunrise-ec23e48d3f348bf1d6d17784377dfcd0ac82a6fd.tar.bz2
sunrise-ec23e48d3f348bf1d6d17784377dfcd0ac82a6fd.zip
net-p2p/mute: Real fix for gcc-4 compile
svn path=/sunrise/; revision=2903
Diffstat (limited to 'net-p2p/mute/mute-0.5.ebuild')
-rw-r--r--net-p2p/mute/mute-0.5.ebuild19
1 files changed, 5 insertions, 14 deletions
diff --git a/net-p2p/mute/mute-0.5.ebuild b/net-p2p/mute/mute-0.5.ebuild
index 20b579b3c..8faeb332d 100644
--- a/net-p2p/mute/mute-0.5.ebuild
+++ b/net-p2p/mute/mute-0.5.ebuild
@@ -18,34 +18,25 @@ IUSE="wxwindows"
DEPEND="dev-libs/crypto++
wxwindows? ( >=x11-libs/wxGTK-2.6 )"
-RDEPEND="${DEPEND}"
+RDEPEND=$DEPEND
S=${WORKDIR}/${MY_P}
-pkg_setup() {
- if use wxwindows ; then
- WX_GTK_VER=2.6
- need-wxwidgets gtk2
- fi
-
- if [ $(gcc-major-version) -ge 4 ]; then
- einfo "${P} doesn't compile with gcc version >= 4"
- die "${P} needs gcc version < 4"
- fi
-}
-
src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}/${P}-configure.patch"
epatch "${FILESDIR}/${P}-makefile.patch"
- cd "${S}"/MUTE/otherApps/fileSharing/userInterface/languages/
+ cd "${S}/MUTE/otherApps/fileSharing/userInterface/languages/"
mv Espa?ol.txt Espanol.txt
rm TranslationHelper.txt
}
src_compile() {
+ export WX_GTK_VER=2.6
+ need-wxwidgets gtk2 || die
+
# not an autotools configure
cd "${S}/MUTE"
./configure >/dev/null || die "configure failed"